Core - Task # 55654

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Epic # 55656 (Accepted): Optimize overall Extbase performance

Status: Accepted Priority: Should have

Author: Marc Bastian Heinrichs Category: Extbase

Created: 2014-02-04 Assigned To: Marc Bastian Heinrichs
Updated: 2015-01-30 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Extbase: Optimize ClassInfoFactory with the ClassinfoCache

Description

The ClassiInfoFactory does it's own Reflection. Optimize this by using the ReflectionService. Depends on #57594.

The classInfoCache saves every classinfo to a single cache entry.
Remove this redundant Cache and make it a RuntimeCache only.

Related issues:
blocked by Core - Task # 57594: Optimize ReflectionService Cache handling Accepted 2014-04-03

History

#1 - 2014-02-04 13:11 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27321

#2 - 2014-02-04 13:16 - Marc Bastian Heinrichs
- Parent task set to #55656

#3 - 2014-02-04 13:17 - Marc Bastian Heinrichs
- Assigned To set to Marc Bastian Heinrichs

#4 - 2014-02-14 19:24 - Ernesto Baschny

- Project changed from Extbase MVC Framework to Core
- Category deleted (Extbase: Object)

#5 - 2014-02-14 19:24 - Ernesto Baschny

- Category set to Extbase

- TYPOS3 Version set to 6.2

#6 - 2014-02-14 19:25 - Ernesto Baschny

- Subject changed from Optimize classinfo cache to Extbase: Optimize classinfo cache

#7 - 2014-03-11 17:50 - Gerrit Code Review
https://review.typo3.org/27321

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27321

#8 - 2014-04-03 11:20 - Marc Bastian Heinrichs
- Subject changed from Extbase: Optimize classinfo cache to Extbase: Optimize ClassinfoFactory with the ClassinfoCache

- Target version changed from 6.2.0 to next-patchlevel

#9 - 2014-04-03 11:20 - Marc Bastian Heinrichs
- Status changed from Under Review to Accepted

#10 - 2015-01-30 10:40 - Christian Kuhn

The patch pushed to gerrit was abandoned since it was stalled for a long time. This needs a fresh approach :)
